about summary refs log tree commit diff
path: root/tests/lang.sh
diff options
context:
space:
mode:
authorEelco Dolstra <eelco.dolstra@logicblox.com>2014-02-19T15·34+0100
committerEelco Dolstra <eelco.dolstra@logicblox.com>2014-02-19T15·34+0100
commite1cf40fa9537162efe0dc19dcea9ae7d043fde66 (patch)
treec2665d130f9bc17731216bb95b35c09892ed333e /tests/lang.sh
parentc31836008e45460513188a3fbeda4416f9153a05 (diff)
nix-instantiate: Rename --eval-only to --eval, --parse-only to --parse
Diffstat (limited to 'tests/lang.sh')
-rw-r--r--tests/lang.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/tests/lang.sh b/tests/lang.sh
index 0d93b9215c68..7324806522b7 100644
--- a/tests/lang.sh
+++ b/tests/lang.sh
@@ -7,7 +7,7 @@ fail=0
 for i in lang/parse-fail-*.nix; do
     echo "parsing $i (should fail)";
     i=$(basename $i .nix)
-    if nix-instantiate --parse-only - < lang/$i.nix; then
+    if nix-instantiate --parse - < lang/$i.nix; then
         echo "FAIL: $i shouldn't parse"
         fail=1
     fi
@@ -16,7 +16,7 @@ done
 for i in lang/parse-okay-*.nix; do
     echo "parsing $i (should succeed)";
     i=$(basename $i .nix)
-    if ! nix-instantiate --parse-only - < lang/$i.nix > lang/$i.out; then
+    if ! nix-instantiate --parse - < lang/$i.nix > lang/$i.out; then
         echo "FAIL: $i should parse"
         fail=1
     fi
@@ -25,7 +25,7 @@ done
 for i in lang/eval-fail-*.nix; do
     echo "evaluating $i (should fail)";
     i=$(basename $i .nix)
-    if nix-instantiate --eval-only lang/$i.nix; then
+    if nix-instantiate --eval lang/$i.nix; then
         echo "FAIL: $i shouldn't evaluate"
         fail=1
     fi
@@ -40,7 +40,7 @@ for i in lang/eval-okay-*.nix; do
         if test -e lang/$i.flags; then
             flags=$(cat lang/$i.flags)
         fi
-        if ! NIX_PATH=lang/dir3:lang/dir4_PATH nix-instantiate $flags --eval-only --strict lang/$i.nix > lang/$i.out; then
+        if ! NIX_PATH=lang/dir3:lang/dir4_PATH nix-instantiate $flags --eval --strict lang/$i.nix > lang/$i.out; then
             echo "FAIL: $i should evaluate"
             fail=1
         elif ! diff lang/$i.out lang/$i.exp; then
@@ -50,7 +50,7 @@ for i in lang/eval-okay-*.nix; do
     fi
     
     if test -e lang/$i.exp.xml; then
-        if ! nix-instantiate --eval-only --xml --no-location --strict \
+        if ! nix-instantiate --eval --xml --no-location --strict \
                 lang/$i.nix > lang/$i.out.xml; then
             echo "FAIL: $i should evaluate"
             fail=1